package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 活动模块
 */
@AllArgsConstructor
@Getter
public enum EActModule {


    /**
     * 复购券
     */
    REPURCHASE_COUPON(1, "复购券"),

    /**
     * 直推升级
     */
    DIRECT_PUSH_UPGRADE(2, "直推升级"),

    /**
     * 直推均分
     */
    REPURCHASE_SHAR(3, "直推均分");

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

    /**
     * 根据值查询枚举
     *
     * @param value 值
     * @return EActModule
     */
    public static EActModule getByValue(int value) {
        for (EActModule actModule : values()) {
            if (actModule.getValue() == value) {
                return actModule;
            }
        }
        return null;
    }


}
